class gauges_goose_1 extends TemplateElement {
    constructor() {
        super();
        this.location = "interior";
        this.curTime = 0.0;
        this.bNeedUpdate = false;
        this._isConnected = false;
    }
    get templateID() { return "gauges_goose_1"; }
    connectedCallback() {
        super.connectedCallback();
        let parsedUrl = new URL(this.getAttribute("Url").toLowerCase());
        let updateLoop = () => {
            if (!this._isConnected)
                return;
            this.Update();
            requestAnimationFrame(updateLoop);
        };
        this._isConnected = true;
        requestAnimationFrame(updateLoop);
    }
    disconnectedCallback() {
    }
    Update() {
		this.updateInstruments();
    }
    /*playInstrumentSound(soundId) {
        if (this.isElectricityAvailable()) {
            Coherent.call("PLAY_INSTRUMENT_SOUND", soundId);
            return true;
        }
        return false;
    }	*/
    updateInstruments() {

       // TAXI LIGHTS CONTROL
       if (SimVar.GetSimVarValue("IS GEAR RETRACTABLE", "Boolean")) {
         var gears_extracted = SimVar.GetSimVarValue("GEAR HANDLE POSITION", "Boolean");
         if (SimVar.GetSimVarValue("LIGHT TAXI", "bool") && !gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", false)
         else if (!SimVar.GetSimVarValue("LIGHT TAXI", "bool") && gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", true)
       }


		/* COMPASS_COMPASS_STRIP_0 */
		var compass_compass_strip_0 = this.querySelector("#compass_compass_strip_0");
		if (typeof compass_compass_strip_0 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = SimVar.GetSimVarValue("PLANE HEADING DEGREES MAGNETIC", "degrees") * 222 / 360 - 241; /* PARSED FROM "(A:Wiskey compass indication degrees,degrees) dnor 222 * 360 / 241 -" */
			var Minimum = 0;
			var Maximum = 999999999;
			transform += 'translate(' + (ExpressionResult * 1) + 'px, ' + (ExpressionResult * 0) + 'px) ';
		  }
		  if (transform != '')
		    compass_compass_strip_0.style.transform = transform; 

		}

		/* COMPASS_COMPASS_SHADOW_1 */
		var compass_compass_shadow_1 = this.querySelector("#compass_compass_shadow_1");
		if (typeof compass_compass_shadow_1 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    compass_compass_shadow_1.style.transform = transform; 

		}

		/* COMPASS_COMPASS_HIGHLIGHT_2 */
		var compass_compass_highlight_2 = this.querySelector("#compass_compass_highlight_2");
		if (typeof compass_compass_highlight_2 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    compass_compass_highlight_2.style.transform = transform; 

		}

		/* COMPASS_COMPASS_LUBBER_LINE_3 */
		var compass_compass_lubber_line_3 = this.querySelector("#compass_compass_lubber_line_3");
		if (typeof compass_compass_lubber_line_3 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    compass_compass_lubber_line_3.style.transform = transform; 

		}

		/* FLAPS_FLAPS_NEEDLE_0 */
		var flaps_flaps_needle_0 = this.querySelector("#flaps_flaps_needle_0");
		if (typeof flaps_flaps_needle_0 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("TRAILING EDGE FLAPS LEFT ANGLE", "radians") * 1.1; /* PARSED FROM "(A:TRAILING EDGE FLAPS LEFT ANGLE,radians) 1.1 *" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    flaps_flaps_needle_0.style.transform = transform; 

		}

		/* IVSI_IVSI_NEEDLE_0 */
		var ivsi_ivsi_needle_0 = this.querySelector("#ivsi_ivsi_needle_0");
		if (typeof ivsi_ivsi_needle_0 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("VERTICAL SPEED", "feet per minute"); /* PARSED FROM "(A:Vertical speed,feet per minute)" */
			var Minimum = -4000.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 4000.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 90;
			var NonlinearityTable = [
				[-3000, 492.250478818278],
				[-1000, 565.003492769283],
				[0, 629.575442544138],
				[1000, 693.68775742591],
				[3000, 769.108931473058],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    ivsi_ivsi_needle_0.style.transform = transform; 

		}

		/* MANIFOLD_PRESS_MANIFOLD_PRESS_NEEDLE_LEFT_0 */
		var manifold_press_manifold_press_needle_left_0 = this.querySelector("#manifold_press_manifold_press_needle_left_0");
		if (typeof manifold_press_manifold_press_needle_left_0 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("ENG MANIFOLD PRESSURE:1", "inHG"); /* PARSED FROM "(A:ENG1 MANIFOLD PRESSURE, inHg)" */
			var Minimum = 9.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 999999999;
			var PointsTo = 0;
			var NonlinearityTable = [
				[10, 613.977020152572],
				[30, 719.15747573926],
				[60, 879.443954780417],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    manifold_press_manifold_press_needle_left_0.style.transform = transform; 

		}

		/* MANIFOLD_PRESS_MANIFOLD_PRESS_NEEDLE_RIGHT_1 */
		var manifold_press_manifold_press_needle_right_1 = this.querySelector("#manifold_press_manifold_press_needle_right_1");
		if (typeof manifold_press_manifold_press_needle_right_1 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("ENG MANIFOLD PRESSURE:2", "inHG"); /* PARSED FROM "(A:ENG2 MANIFOLD PRESSURE, inHg)" */
			var Minimum = 9.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 999999999;
			var PointsTo = 90;
			var NonlinearityTable = [
				[10, 613.435632587282],
				[30, 719.14913513527],
				[60, 879.646770851931],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    manifold_press_manifold_press_needle_right_1.style.transform = transform; 

		}

		/* ANNUNCIATOR_PANEL_1_L_ENG_GENERATOR_0 */
		var annunciator_panel_1_L_Eng_Generator_0 = this.querySelector("#annunciator_panel_1_L_Eng_Generator_0");
		if (typeof annunciator_panel_1_L_Eng_Generator_0 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    annunciator_panel_1_L_Eng_Generator_0.style.transform = transform; 

		}

		/* ANNUNCIATOR_PANEL_1_L_ENG_OIL_PRESS_1 */
		var annunciator_panel_1_L_Eng_Oil_Press_1 = this.querySelector("#annunciator_panel_1_L_Eng_Oil_Press_1");
		if (typeof annunciator_panel_1_L_Eng_Oil_Press_1 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    annunciator_panel_1_L_Eng_Oil_Press_1.style.transform = transform; 

		}

		/* ANNUNCIATOR_PANEL_1_L_ENG_FUEL_PRESS_2 */
		var annunciator_panel_1_L_Eng_Fuel_Press_2 = this.querySelector("#annunciator_panel_1_L_Eng_Fuel_Press_2");
		if (typeof annunciator_panel_1_L_Eng_Fuel_Press_2 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    annunciator_panel_1_L_Eng_Fuel_Press_2.style.transform = transform; 

		}

		/* ANNUNCIATOR_PANEL_1_L_ENG_FIRE_3 */
		var annunciator_panel_1_L_Eng_Fire_3 = this.querySelector("#annunciator_panel_1_L_Eng_Fire_3");
		if (typeof annunciator_panel_1_L_Eng_Fire_3 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    annunciator_panel_1_L_Eng_Fire_3.style.transform = transform; 

		}

		/* ANNUNCIATOR_PANEL_1_R_ENG_GENERATOR_4 */
		var annunciator_panel_1_R_Eng_Generator_4 = this.querySelector("#annunciator_panel_1_R_Eng_Generator_4");
		if (typeof annunciator_panel_1_R_Eng_Generator_4 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    annunciator_panel_1_R_Eng_Generator_4.style.transform = transform; 

		}

		/* ANNUNCIATOR_PANEL_1_R_ENG_OIL_PRESS_5 */
		var annunciator_panel_1_R_Eng_Oil_Press_5 = this.querySelector("#annunciator_panel_1_R_Eng_Oil_Press_5");
		if (typeof annunciator_panel_1_R_Eng_Oil_Press_5 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    annunciator_panel_1_R_Eng_Oil_Press_5.style.transform = transform; 

		}

		/* ANNUNCIATOR_PANEL_1_R_ENG_FUEL_PRESS_6 */
		var annunciator_panel_1_R_Eng_Fuel_Press_6 = this.querySelector("#annunciator_panel_1_R_Eng_Fuel_Press_6");
		if (typeof annunciator_panel_1_R_Eng_Fuel_Press_6 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    annunciator_panel_1_R_Eng_Fuel_Press_6.style.transform = transform; 

		}

		/* ANNUNCIATOR_PANEL_1_R_ENG_FIRE_7 */
		var annunciator_panel_1_R_Eng_Fire_7 = this.querySelector("#annunciator_panel_1_R_Eng_Fire_7");
		if (typeof annunciator_panel_1_R_Eng_Fire_7 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    annunciator_panel_1_R_Eng_Fire_7.style.transform = transform; 

		}

		/* ATTITUDE_BACKGROUND_0 */
		var attitude_background_0 = this.querySelector("#attitude_background_0");
		if (typeof attitude_background_0 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("PLANE BANK DEGREES", "radians"); /* PARSED FROM "(A:Attitude indicator bank degrees,radians)" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    attitude_background_0.style.transform = transform; 

		}

		/* ATTITUDE_INNER_CARD_1 */
		var attitude_inner_card_1 = this.querySelector("#attitude_inner_card_1");
		if (typeof attitude_inner_card_1 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("PLANE BANK DEGREES", "radians"); /* PARSED FROM "(A:Attitude indicator bank degrees,radians)" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  {
			var ExpressionResult = SimVar.GetSimVarValue("PLANE PITCH DEGREES", "degree"); /* PARSED FROM "(A:Attitude indicator pitch degrees,degrees)" */
			var Minimum = -40.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 20.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * -0.85) + 'px) ';
		  }
		  if (transform != '')
		    attitude_inner_card_1.style.transform = transform; 

		}

		/* ATTITUDE_OUTER_CARD_2 */
		var attitude_outer_card_2 = this.querySelector("#attitude_outer_card_2");
		if (typeof attitude_outer_card_2 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("PLANE BANK DEGREES", "radians"); /* PARSED FROM "(A:Attitude indicator bank degrees,radians)" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    attitude_outer_card_2.style.transform = transform; 

		}

		/* ATTITUDE_CROSSHAIR_3 */
		var attitude_crosshair_3 = this.querySelector("#attitude_crosshair_3");
		if (typeof attitude_crosshair_3 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = SimVar.GetSimVarValue("Var3", "number"); /* PARSED FROM "(G:Var3,number)" */
			var Minimum = -8.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 8.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * -1) + 'px) ';
		  }
		  if (transform != '')
		    attitude_crosshair_3.style.transform = transform; 

		}

		/* ATTITUDE_CROSSHAIR_COVER_4 */
		var attitude_crosshair_cover_4 = this.querySelector("#attitude_crosshair_cover_4");
		if (typeof attitude_crosshair_cover_4 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    attitude_crosshair_cover_4.style.transform = transform; 

		}

		/* ATTITUDE_FLAG_5 */
		var attitude_flag_5 = this.querySelector("#attitude_flag_5");
		if (typeof attitude_flag_5 !== "undefined") {
		  var transform = '';

		  attitude_flag_5.style.display = ( SimVar.GetSimVarValue("PARTIAL PANEL VACUUM", "boolean") || SimVar.GetSimVarValue("PARTIAL PANEL ATTITUDE", "boolean") ) ? "block" : "none";

		  if (transform != '')
		    attitude_flag_5.style.transform = transform; 

		}

		/* ATTITUDE_ATTITUDE_SHADOW_6 */
		var attitude_attitude_shadow_6 = this.querySelector("#attitude_attitude_shadow_6");
		if (typeof attitude_attitude_shadow_6 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    attitude_attitude_shadow_6.style.transform = transform; 

		}

		/* ATTITUDE_KNOB_7 */
		var attitude_knob_7 = this.querySelector("#attitude_knob_7");
		if (typeof attitude_knob_7 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("Var2", "number"))* Math.PI/180; /* PARSED FROM "(G:Var2, number) dgrd" */
			var Minimum = 0.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 360.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    attitude_knob_7.style.transform = transform; 

		}

		/* ANNUNCIATOR_PANEL_2_GEAR_ADVISORY_0 */
		var annunciator_panel_2_Gear_advisory_0 = this.querySelector("#annunciator_panel_2_Gear_advisory_0");
		if (typeof annunciator_panel_2_Gear_advisory_0 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    annunciator_panel_2_Gear_advisory_0.style.transform = transform; 

		}

		/* ANNUNCIATOR_PANEL_2_GEAR_DOWN_1 */
		var annunciator_panel_2_Gear_Down_1 = this.querySelector("#annunciator_panel_2_Gear_Down_1");
		if (typeof annunciator_panel_2_Gear_Down_1 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    annunciator_panel_2_Gear_Down_1.style.transform = transform; 

		}

		/* ANNUNCIATOR_PANEL_2_GEAR_UP_2 */
		var annunciator_panel_2_Gear_Up_2 = this.querySelector("#annunciator_panel_2_Gear_Up_2");
		if (typeof annunciator_panel_2_Gear_Up_2 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    annunciator_panel_2_Gear_Up_2.style.transform = transform; 

		}

		/* ANNUNCIATOR_PANEL_2_GAUGETEXT_3 */
		var annunciator_panel_2_GaugeText_3 = this.querySelector("#annunciator_panel_2_GaugeText_3");
		if (typeof annunciator_panel_2_GaugeText_3 !== "undefined") {
		  var transform = '';

		  annunciator_panel_2_GaugeText_3.style.display = 0 ? "block" : "none";

			annunciator_panel_2_GaugeText_3.innerHTML = Math.round( ( ( SimVar.GetSimVarValue("GEAR LEFT POSITION", "percent") < 1 ) ? 0 :  ( ( SimVar.GetSimVarValue("GEAR LEFT POSITION", "percent") < 99 ) ? 1 : 2 )  )  +  ( ( SimVar.GetSimVarValue("GEAR CENTER POSITION", "percent") < 1 ) ? 0 :  ( ( SimVar.GetSimVarValue("GEAR CENTER POSITION", "percent") < 99 ) ? 1 : 2 )  )  +  ( ( SimVar.GetSimVarValue("GEAR RIGHT POSITION", "percent") < 1 ) ? 0 :  ( ( SimVar.GetSimVarValue("GEAR RIGHT POSITION", "percent") < 99 ) ? 1 : 2 )  ) ).toString() ;

		  if (transform != '')
		    annunciator_panel_2_GaugeText_3.style.transform = transform; 

		}

		/* TURN_BANK_TURN_BANK_BALL_0 */
		var turn_bank_turn_bank_ball_0 = this.querySelector("#turn_bank_turn_bank_ball_0");
		if (typeof turn_bank_turn_bank_ball_0 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = Math.min(30, Math.max(-30 , -SimVar.GetSimVarValue("PLANE BANK DEGREES", "degree"))) / 30 * 100; /* PARSED FROM "(A:TURN COORDINATOR BALL,percent)" */
			var Minimum = 0;
			var Maximum = 999999999;
			var NonlinearityTable = [
				[-100,19.000,70.000],
				[0,55.500,73.000],
				[100,92.000,70.000],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevP2 = { x: 0, y: 0 };
				var result = { x: 0, y: 0 };
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var p2 = { x: NonlinearityTable[i][1], y: NonlinearityTable[i][2] };
					if (ExpressionResult == NonlinearityEntry) {
						result = p2;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = { y: prevP2.y + coef * (p2.y - prevP2.y), x: prevP2.x + coef * (p2.x - prevP2.x) };
						break;
					}
					prevVal = NonlinearityEntry;
					prevP2 = p2;
				}

				turn_bank_turn_bank_ball_0.style.left = result.x + 'px';
				turn_bank_turn_bank_ball_0.style.top = result.y +'px';
			}

		  }
		  if (transform != '')
		    turn_bank_turn_bank_ball_0.style.transform = transform; 

		}

		/* TURN_BANK_TURN_BANK_WHITE_LINES_1 */
		var turn_bank_turn_bank_white_lines_1 = this.querySelector("#turn_bank_turn_bank_white_lines_1");
		if (typeof turn_bank_turn_bank_white_lines_1 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    turn_bank_turn_bank_white_lines_1.style.transform = transform; 

		}

		/* TURN_BANK_TURN_BANK_NEEDLE_2 */
		var turn_bank_turn_bank_needle_2 = this.querySelector("#turn_bank_turn_bank_needle_2");
		if (typeof turn_bank_turn_bank_needle_2 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = -SimVar.GetSimVarValue("TURN INDICATOR RATE", "degree per second") * 60 / 360 * 0.32 * SimVar.GetSimVarValue("ELECTRICAL MASTER BATTERY", "boolean"); /* PARSED FROM "(A:Delta Heading Rate, rpm) 0.32 * (A:ELECTRICAL MASTER BATTERY,bool) *" */
			var Minimum = -0.400;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 0.400;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    turn_bank_turn_bank_needle_2.style.transform = transform; 

		}

		/* AMPS_VOLTS_AMPS_VOLTS_NEEDLE_0 */
		var amps_volts_amps_volts_needle_0 = this.querySelector("#amps_volts_amps_volts_needle_0");
		if (typeof amps_volts_amps_volts_needle_0 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = ( 1 ?  SimVar.GetSimVarValue("ELECTRICAL GENALT BUS VOLTAGE:1", "volts") * 2 :  SimVar.GetSimVarValue("ELECTRICAL GENALT BUS AMPS:1", "amperes") ); /* PARSED FROM "(L:Show Volts 1,bool) if{ (A:ELECTRICAL GENALT BUS VOLTAGE:1, volts) 2 * } els{ (A:ELECTRICAL GENALT BUS AMPS:1, amps) } " */
			var Minimum = -3.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 70.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			var NonlinearityTable = [
				[0, 307.366669412769],
				[60, 413.615648184164],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    amps_volts_amps_volts_needle_0.style.transform = transform; 

		}

		/* AMPS_VOLTS_GAUGETEXT_1 */
		var amps_volts_GaugeText_1 = this.querySelector("#amps_volts_GaugeText_1");
		if (typeof amps_volts_GaugeText_1 !== "undefined") {
		  var transform = '';

		  amps_volts_GaugeText_1.style.display = 0 ? "block" : "none";

			amps_volts_GaugeText_1.innerHTML = Math.round( SimVar.GetSimVarValue("ELECTRICAL GENALT BUS AMPS:1", "amperes") ).toString() ;

		  if (transform != '')
		    amps_volts_GaugeText_1.style.transform = transform; 

		}

		/* AMPS_VOLTS2_AMPS_VOLTS_NEEDLE_0 */
		var amps_volts2_amps_volts_needle_0 = this.querySelector("#amps_volts2_amps_volts_needle_0");
		if (typeof amps_volts2_amps_volts_needle_0 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = ( 1 ?  SimVar.GetSimVarValue("ELECTRICAL GENALT BUS VOLTAGE:2", "volts") * 2 :  SimVar.GetSimVarValue("ELECTRICAL GENALT BUS AMPS:2", "amperes") ); /* PARSED FROM "(L:Show Volts 2,bool) if{ (A:ELECTRICAL GENALT BUS VOLTAGE:2, volts) 2 * } els{ (A:ELECTRICAL GENALT BUS AMPS:2, amps) } " */
			var Minimum = -3.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 70.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			var NonlinearityTable = [
				[0, 307.366669412769],
				[60, 413.615648184164],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    amps_volts2_amps_volts_needle_0.style.transform = transform; 

		}

		/* AMPS_VOLTS2_GAUGETEXT_1 */
		var amps_volts2_GaugeText_1 = this.querySelector("#amps_volts2_GaugeText_1");
		if (typeof amps_volts2_GaugeText_1 !== "undefined") {
		  var transform = '';

		  amps_volts2_GaugeText_1.style.display = 0 ? "block" : "none";

			amps_volts2_GaugeText_1.innerHTML = Math.round( SimVar.GetSimVarValue("ELECTRICAL GENALT BUS AMPS:1", "amperes") ).toString() ;

		  if (transform != '')
		    amps_volts2_GaugeText_1.style.transform = transform; 

		}

		/* CARB_AIR_TEMP_CARB_AIR_TEMP_NEEDLE_LEFT_0 */
		var carb_air_temp_carb_air_temp_needle_left_0 = this.querySelector("#carb_air_temp_carb_air_temp_needle_left_0");
		if (typeof carb_air_temp_carb_air_temp_needle_left_0 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = 50 - SimVar.GetSimVarValue("GENERAL ENG OIL TEMPERATURE:1", "celsius") * 0.5; /* PARSED FROM "50 (A:RECIP CARBURETOR TEMPERATURE:1, celsius) -" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = -89.769; 
			var NonlinearityTable = [
				[-50, 395.513794600564],
				[100, 501.984339515981],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    carb_air_temp_carb_air_temp_needle_left_0.style.transform = transform; 

		}

		/* CARB_AIR_TEMP_CARB_AIR_TEMP_NEEDLE_RIGHT_1 */
		var carb_air_temp_carb_air_temp_needle_right_1 = this.querySelector("#carb_air_temp_carb_air_temp_needle_right_1");
		if (typeof carb_air_temp_carb_air_temp_needle_right_1 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("GENERAL ENG OIL TEMPERATURE:2", "celsius") * 0.5; /* PARSED FROM "(A:RECIP CARBURETOR TEMPERATURE:2, celsius)" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 90;
			var NonlinearityTable = [
				[-50, 576.777186109425],
				[100, 685.38402068762],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    carb_air_temp_carb_air_temp_needle_right_1.style.transform = transform; 

		}

		/* CYL_TEMP_CYL_TEMP_NEEDLE_LEFT_0 */
		var cyl_temp_cyl_temp_needle_left_0 = this.querySelector("#cyl_temp_cyl_temp_needle_left_0");
		if (typeof cyl_temp_cyl_temp_needle_left_0 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = 300 - SimVar.GetSimVarValue("ENG CYLINDER HEAD TEMPERATURE:1", "celsius"); /* PARSED FROM "300 (A:RECIP ENG CYLINDER HEAD TEMPERATURE:1, celsius) -" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = -89.384; 
			var NonlinearityTable = [
				[0, 398.704123226689],
				[300, 488.047387978812],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    cyl_temp_cyl_temp_needle_left_0.style.transform = transform; 

		}

		/* CYL_TEMP_CYL_TEMP_NEEDLE_RIGHT_1 */
		var cyl_temp_cyl_temp_needle_right_1 = this.querySelector("#cyl_temp_cyl_temp_needle_right_1");
		if (typeof cyl_temp_cyl_temp_needle_right_1 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("ENG CYLINDER HEAD TEMPERATURE:2", "celsius"); /* PARSED FROM "(A:RECIP ENG CYLINDER HEAD TEMPERATURE:2, celsius)" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 90;
			var NonlinearityTable = [
				[0, 590.00590526054],
				[300, 681.474758341625],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    cyl_temp_cyl_temp_needle_right_1.style.transform = transform; 

		}

		/* FUEL_GAUGETEXT_0 */
		var fuel_GaugeText_0 = this.querySelector("#fuel_GaugeText_0");
		if (typeof fuel_GaugeText_0 !== "undefined") {
		  var transform = '';

		  fuel_GaugeText_0.style.display = !(0) ? "block" : "none";

			fuel_GaugeText_0.innerHTML = Math.round( SimVar.GetSimVarValue("FUEL TANK LEFT MAIN LEVEL", "percent") * 1.7 ).toString() ;

		  if (transform != '')
		    fuel_GaugeText_0.style.transform = transform; 

		}

		/* FUEL_GAUGETEXT_1 */
		var fuel_GaugeText_1 = this.querySelector("#fuel_GaugeText_1");
		if (typeof fuel_GaugeText_1 !== "undefined") {
		  var transform = '';

			fuel_GaugeText_1.innerHTML = Math.round( SimVar.GetSimVarValue("FUEL TANK RIGHT MAIN LEVEL", "percent") * 1.7 ).toString() ;

		  if (transform != '')
		    fuel_GaugeText_1.style.transform = transform; 

		}

		/* FUEL_GAUGETEXT_2 */
		var fuel_GaugeText_2 = this.querySelector("#fuel_GaugeText_2");
		if (typeof fuel_GaugeText_2 !== "undefined") {
		  var transform = '';

		  fuel_GaugeText_2.style.display = !(0) ? "block" : "none";

			fuel_GaugeText_2.innerHTML = ( SimVar.GetSimVarValue("ENG1 FUEL FLOW GPH", "gallons per hour") ).toFixed(1).toString() ;

		  if (transform != '')
		    fuel_GaugeText_2.style.transform = transform; 

		}

		/* FUEL_GAUGETEXT_3 */
		var fuel_GaugeText_3 = this.querySelector("#fuel_GaugeText_3");
		if (typeof fuel_GaugeText_3 !== "undefined") {
		  var transform = '';

		  fuel_GaugeText_3.style.display = !(0) ? "block" : "none";

			fuel_GaugeText_3.innerHTML = ( SimVar.GetSimVarValue("ENG2 FUEL FLOW GPH", "gallons per hour") ).toFixed(1).toString() ;

		  if (transform != '')
		    fuel_GaugeText_3.style.transform = transform; 

		}

		/* ADF_ADF_COMPASS_RING_0 */
		var adf_adf_compass_ring_0 = this.querySelector("#adf_adf_compass_ring_0");
		if (typeof adf_adf_compass_ring_0 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "radians")) * (-1); /* PARSED FROM "(A:PLANE HEADING DEGREES GYRO, radians) /-/" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    adf_adf_compass_ring_0.style.transform = transform; 

		}

		/* ADF_ADF_NEEDLE_1 */
		var adf_adf_needle_1 = this.querySelector("#adf_adf_needle_1");
		if (typeof adf_adf_needle_1 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("ADF RADIAL:1", "radians"); /* PARSED FROM " (A:ADF radial:1, radians) " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    adf_adf_needle_1.style.transform = transform; 

		}

		/* ADF_ADF_FIXED_MARKERS_2 */
		var adf_adf_fixed_markers_2 = this.querySelector("#adf_adf_fixed_markers_2");
		if (typeof adf_adf_fixed_markers_2 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    adf_adf_fixed_markers_2.style.transform = transform; 

		}

		/* ADF_GAUGETEXT_3 */
		var adf_GaugeText_3 = this.querySelector("#adf_GaugeText_3");
		if (typeof adf_GaugeText_3 !== "undefined") {
		  var transform = '';

		  adf_GaugeText_3.style.display = 0 ? "block" : "none";

			adf_GaugeText_3.innerHTML = Math.round( SimVar.GetSimVarValue("ADF RADIAL:1", "degrees") + 360 + SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees") ).toString() ;

		  if (transform != '')
		    adf_GaugeText_3.style.transform = transform; 

		}

		/* OIL_FUEL_PRESS2_OIL_FUEL_PRESS_NEEDLE_OIL_TEMP_0 */
		var oil_fuel_press2_oil_fuel_press_needle_oil_temp_0 = this.querySelector("#oil_fuel_press2_oil_fuel_press_needle_oil_temp_0");
		if (typeof oil_fuel_press2_oil_fuel_press_needle_oil_temp_0 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = ( !(0) ?  SimVar.GetSimVarValue("ENG OIL TEMPERATURE:2", "celsius") :  -60 ); /* PARSED FROM "(A:PARTIAL PANEL ELECTRICAL, enum) ! if{ (A:GENERAL ENG2 OIL TEMPERATURE, celsius) } els{ -60 }" */
			var Minimum = -60.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 160.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0; 
			var NonlinearityTable = [
				[-50, 303.322610320836],
				[0, 331.527618057749],
				[50, 366.373883730906],
				[100, 398.851505358043],
				[150, 420.802354074874],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    oil_fuel_press2_oil_fuel_press_needle_oil_temp_0.style.transform = transform; 

		}

		/* OIL_FUEL_PRESS2_OIL_FUEL_PRESS_NEEDLE_OIL_PRESS_1 */
		var oil_fuel_press2_oil_fuel_press_needle_oil_press_1 = this.querySelector("#oil_fuel_press2_oil_fuel_press_needle_oil_press_1");
		if (typeof oil_fuel_press2_oil_fuel_press_needle_oil_press_1 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("ENG OIL PRESSURE:2", "psi") + 2; /* PARSED FROM "(A:GENERAL ENG2 OIL PRESSURE, PSI) 2 +" */
			var Minimum = 0.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 200.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 180;
			var NonlinearityTable = [
				[2, 540.334188037333],
				[202, 695.235299624112],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    oil_fuel_press2_oil_fuel_press_needle_oil_press_1.style.transform = transform; 

		}

		/* OIL_FUEL_PRESS2_OIL_FUEL_PRESS_NEEDLE_FUEL_PRESS_2 */
		var oil_fuel_press2_oil_fuel_press_needle_fuel_press_2 = this.querySelector("#oil_fuel_press2_oil_fuel_press_needle_fuel_press_2");
		if (typeof oil_fuel_press2_oil_fuel_press_needle_fuel_press_2 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = ( !(0) ?  25 - SimVar.GetSimVarValue("GENERAL ENG FUEL PRESSURE:2", "psi") :  25.5 ); /* PARSED FROM "(A:PARTIAL PANEL ELECTRICAL, enum) ! if{ 25 (A:General Eng Fuel Pressure:2,psi) - } els{ 25.5 }" */
			var Minimum = 0.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 25.500;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 180;
			var NonlinearityTable = [
				[0, 384.921055253882],
				[25, 540.622755687206],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    oil_fuel_press2_oil_fuel_press_needle_fuel_press_2.style.transform = transform; 

		}

		/* OIL_FUEL_PRESS2_GAUGETEXT_3 */
		var oil_fuel_press2_GaugeText_3 = this.querySelector("#oil_fuel_press2_GaugeText_3");
		if (typeof oil_fuel_press2_GaugeText_3 !== "undefined") {
		  var transform = '';

		  oil_fuel_press2_GaugeText_3.style.display = 0 ? "block" : "none";

			oil_fuel_press2_GaugeText_3.innerHTML = "Oil:" + Math.round( SimVar.GetSimVarValue("ENG OIL TEMPERATURE:2", "celsius") ).toString() ;

		  if (transform != '')
		    oil_fuel_press2_GaugeText_3.style.transform = transform; 

		}

    }
}
registerLivery("gauges_goose_1-element", gauges_goose_1);
