class gauges_goose_2 extends TemplateElement {
    constructor() {
        super();
        this.location = "interior";
        this.curTime = 0.0;
        this.bNeedUpdate = false;
        this._isConnected = false;
    }
    get templateID() { return "gauges_goose_2"; }
    connectedCallback() {
        super.connectedCallback();
        let parsedUrl = new URL(this.getAttribute("Url").toLowerCase());
        let updateLoop = () => {
            if (!this._isConnected)
                return;
            this.Update();
            requestAnimationFrame(updateLoop);
        };
        this._isConnected = true;
        requestAnimationFrame(updateLoop);
    }
    disconnectedCallback() {
    }
    Update() {
		this.updateInstruments();
    }
    /*playInstrumentSound(soundId) {
        if (this.isElectricityAvailable()) {
            Coherent.call("PLAY_INSTRUMENT_SOUND", soundId);
            return true;
        }
        return false;
    }	*/
    updateInstruments() {

       // TAXI LIGHTS CONTROL
       if (SimVar.GetSimVarValue("IS GEAR RETRACTABLE", "Boolean")) {
         var gears_extracted = SimVar.GetSimVarValue("GEAR HANDLE POSITION", "Boolean");
         if (SimVar.GetSimVarValue("LIGHT TAXI", "bool") && !gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", false)
         else if (!SimVar.GetSimVarValue("LIGHT TAXI", "bool") && gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", true)
       }


		/* AIRSPEED_AIRSPEED_NEEDLE_0 */
		var airspeed_airspeed_needle_0 = this.querySelector("#airspeed_airspeed_needle_0");
		if (typeof airspeed_airspeed_needle_0 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("AIRSPEED INDICATED", "mph"); /* PARSED FROM "(A:AIRSPEED INDICATED,mph)" */
			var Minimum = 0.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 310.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			var NonlinearityTable = [
				[0, 359.229251254608],
				[40, 372.039112116022],
				[50, 380.404228459055],
				[60, 394.380344723845],
				[70, 406.884050231092],
				[80, 422.354024636261],
				[90, 439.228545839802],
				[150, 545.399973423325],
				[190, 612.629246669466],
				[200, 625.305085720749],
				[250, 664.834305120457],
				[300, 703.794001311006],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    airspeed_airspeed_needle_0.style.transform = transform; 

		}

		/* SUCTION_SUCTION_NEEDLE_0 */
		var suction_suction_needle_0 = this.querySelector("#suction_suction_needle_0");
		if (typeof suction_suction_needle_0 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("SUCTION PRESSURE", "inch of mercury"); /* PARSED FROM "(A:SUCTION PRESSURE, inHg)" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 180;
			var NonlinearityTable = [
				[2, 630],
				[8, 453.974421764227],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    suction_suction_needle_0.style.transform = transform; 

		}

		/* OIL_FUEL_PRESS_OIL_FUEL_PRESS_NEEDLE_OIL_TEMP_0 */
		var oil_fuel_press_oil_fuel_press_needle_oil_temp_0 = this.querySelector("#oil_fuel_press_oil_fuel_press_needle_oil_temp_0");
		if (typeof oil_fuel_press_oil_fuel_press_needle_oil_temp_0 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = ( !(0) ?  SimVar.GetSimVarValue("ENG OIL TEMPERATURE:1", "celsius") :  -60 ); /* PARSED FROM "(A:PARTIAL PANEL ELECTRICAL, enum) ! if{ (A:GENERAL ENG1 OIL TEMPERATURE, celsius) } els{ -60 }" */
			var Minimum = -60.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 160.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0; 
			var NonlinearityTable = [
				[-50, 303.322610320836],
				[0, 331.527618057749],
				[50, 366.373883730906],
				[100, 398.851505358043],
				[150, 420.802354074874],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    oil_fuel_press_oil_fuel_press_needle_oil_temp_0.style.transform = transform; 

		}

		/* OIL_FUEL_PRESS_OIL_FUEL_PRESS_NEEDLE_OIL_PRESS_1 */
		var oil_fuel_press_oil_fuel_press_needle_oil_press_1 = this.querySelector("#oil_fuel_press_oil_fuel_press_needle_oil_press_1");
		if (typeof oil_fuel_press_oil_fuel_press_needle_oil_press_1 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("ENG OIL PRESSURE:1", "psi") + 2; /* PARSED FROM "(A:GENERAL ENG1 OIL PRESSURE, PSI) 2 +" */
			var Minimum = 0.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 200.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 180;
			var NonlinearityTable = [
				[2, 540.334188037333],
				[202, 695.235299624112],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    oil_fuel_press_oil_fuel_press_needle_oil_press_1.style.transform = transform; 

		}

		/* OIL_FUEL_PRESS_OIL_FUEL_PRESS_NEEDLE_FUEL_PRESS_2 */
		var oil_fuel_press_oil_fuel_press_needle_fuel_press_2 = this.querySelector("#oil_fuel_press_oil_fuel_press_needle_fuel_press_2");
		if (typeof oil_fuel_press_oil_fuel_press_needle_fuel_press_2 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = ( !(0) ?  25 - SimVar.GetSimVarValue("GENERAL ENG FUEL PRESSURE:1", "psi") :  25.5 ); /* PARSED FROM "(A:PARTIAL PANEL ELECTRICAL, enum) ! if{ 25 (A:General Eng Fuel Pressure:1,psi) - } els{ 25.5 }" */
			var Minimum = 0.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 25.500;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 180;
			var NonlinearityTable = [
				[0, 384.921055253882],
				[25, 540.622755687206],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    oil_fuel_press_oil_fuel_press_needle_fuel_press_2.style.transform = transform; 

		}

		/* OIL_FUEL_PRESS_GAUGETEXT_3 */
		var oil_fuel_press_GaugeText_3 = this.querySelector("#oil_fuel_press_GaugeText_3");
		if (typeof oil_fuel_press_GaugeText_3 !== "undefined") {
		  var transform = '';

		  oil_fuel_press_GaugeText_3.style.display = 0 ? "block" : "none";

			oil_fuel_press_GaugeText_3.innerHTML = "Oil:" + Math.round( SimVar.GetSimVarValue("ENG OIL TEMPERATURE:1", "celsius") ).toString() ;

		  if (transform != '')
		    oil_fuel_press_GaugeText_3.style.transform = transform; 

		}

		/* RADIO_ALTITUDE_RADIO_ALTITUDE_NEEDLE_0 */
		var radio_altitude_radio_altitude_needle_0 = this.querySelector("#radio_altitude_radio_altitude_needle_0");
		if (typeof radio_altitude_radio_altitude_needle_0 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = ( ( 1 == 2 ) ?  SimVar.GetSimVarValue("RADIO HEIGHT", "meters") :  SimVar.GetSimVarValue("RADIO HEIGHT", "feet") ); /* PARSED FROM "(P:Units of measure, enum) 2 == if{ (A:RADIO HEIGHT, meters) } els{ (A:RADIO HEIGHT, feet) }" */
			var Minimum = -50.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 3000.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			var NonlinearityTable = [
				[0, 361.155000368045],
				[300, 470.315195626732],
				[500, 538.906701806006],
				[2500, 607.570831344681],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    radio_altitude_radio_altitude_needle_0.style.transform = transform; 

		}

		/* RADIO_ALTITUDE_RADIO_ALTITUDE_UPPER_LAYER_1 */
		var radio_altitude_radio_altitude_upper_layer_1 = this.querySelector("#radio_altitude_radio_altitude_upper_layer_1");
		if (typeof radio_altitude_radio_altitude_upper_layer_1 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    radio_altitude_radio_altitude_upper_layer_1.style.transform = transform; 

		}

		/* RADIO_ALTITUDE_RADIO_ALTITUDE_OFF_FLAG_2 */
		var radio_altitude_radio_altitude_off_flag_2 = this.querySelector("#radio_altitude_radio_altitude_off_flag_2");
		if (typeof radio_altitude_radio_altitude_off_flag_2 !== "undefined") {
		  var transform = '';

		  radio_altitude_radio_altitude_off_flag_2.style.display = 1 ? "block" : "none";

		  if (transform != '')
		    radio_altitude_radio_altitude_off_flag_2.style.transform = transform; 

		}

		/* RADIO_ALTITUDE_RADIO_ALTITUDE_BUG_3 */
		var radio_altitude_radio_altitude_bug_3 = this.querySelector("#radio_altitude_radio_altitude_bug_3");
		if (typeof radio_altitude_radio_altitude_bug_3 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = ( ( 1 == 2 ) ?  SimVar.GetSimVarValue("DECISION HEIGHT", "meters") :  SimVar.GetSimVarValue("DECISION HEIGHT", "feet") ); /* PARSED FROM "(P:Units of measure, enum) 2 == if{ (A:DECISION HEIGHT, meters) } els{ (A:DECISION HEIGHT, feet) }" */
			var Minimum = -20.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 2500.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			var NonlinearityTable = [
				[0, 360.935358195757],
				[300, 469.872175819244],
				[500, 539.151235728446],
				[2500, 607.036226940146],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    radio_altitude_radio_altitude_bug_3.style.transform = transform; 

		}

		/* RADIO_ALTITUDE_RADIO_ALTITUDE_KNOB_4 */
		var radio_altitude_radio_altitude_knob_4 = this.querySelector("#radio_altitude_radio_altitude_knob_4");
		if (typeof radio_altitude_radio_altitude_knob_4 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (0)* Math.PI/180; /* PARSED FROM "(G:Var1) dgrd" */
			var Minimum = 0.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 360.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    radio_altitude_radio_altitude_knob_4.style.transform = transform; 

		}

		/* RADIO_ALTITUDE_DH_ANNUNCIATOR_5 */
		var radio_altitude_DH_Annunciator_5 = this.querySelector("#radio_altitude_DH_Annunciator_5");
		if (typeof radio_altitude_DH_Annunciator_5 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    radio_altitude_DH_Annunciator_5.style.transform = transform; 

		}

		/* CLOCK_CLOCK_HOUR_NEEDLE_0 */
		var clock_clock_hour_needle_0 = this.querySelector("#clock_clock_hour_needle_0");
		if (typeof clock_clock_hour_needle_0 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (SimVar.GetGlobalVarValue("LOCAL TIME", "hours") * 30)* Math.PI/180; /* PARSED FROM "(P:Local time,hours) 30 * dgrd" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    clock_clock_hour_needle_0.style.transform = transform; 

		}

		/* CLOCK_CLOCK_MINUTE_NEEDLE_1 */
		var clock_clock_minute_needle_1 = this.querySelector("#clock_clock_minute_needle_1");
		if (typeof clock_clock_minute_needle_1 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (SimVar.GetGlobalVarValue("LOCAL TIME", "minutes") * 6 + 90)* Math.PI/180; /* PARSED FROM "(P:Local time,minutes) 6 * 90 + dgrd" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 90;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    clock_clock_minute_needle_1.style.transform = transform; 

		}

		/* CLOCK_CLOCK_SECOND_NEEDLE_2 */
		var clock_clock_second_needle_2 = this.querySelector("#clock_clock_second_needle_2");
		if (typeof clock_clock_second_needle_2 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (Math.floor(SimVar.GetGlobalVarValue("LOCAL TIME", "seconds")) * 6 - 90)* Math.PI/180; /* PARSED FROM "(P:Local time,seconds) flr 6 * 90 - dgrd" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    clock_clock_second_needle_2.style.transform = transform; 

		}

		/* CLOCK_GAUGETEXT_3 */
		var clock_GaugeText_3 = this.querySelector("#clock_GaugeText_3");
		if (typeof clock_GaugeText_3 !== "undefined") {
		  var transform = '';

		  clock_GaugeText_3.style.display = 0 ? "block" : "none";

			clock_GaugeText_3.innerHTML = ( SimVar.GetGlobalVarValue("LOCAL TIME", "minutes") ).toString() ;

		  if (transform != '')
		    clock_GaugeText_3.style.transform = transform; 

		}

		/* EGT_GAUGETEXT_0 */
		var egt_GaugeText_0 = this.querySelector("#egt_GaugeText_0");
		if (typeof egt_GaugeText_0 !== "undefined") {
		  var transform = '';

		  egt_GaugeText_0.style.display = !(0) ? "block" : "none";

			egt_GaugeText_0.innerHTML = Math.round( SimVar.GetSimVarValue("GENERAL ENG EXHAUST GAS TEMPERATURE:1", "celsius") ).toString() ;

		  if (transform != '')
		    egt_GaugeText_0.style.transform = transform; 

		}

		/* EGT_GAUGETEXT_1 */
		var egt_GaugeText_1 = this.querySelector("#egt_GaugeText_1");
		if (typeof egt_GaugeText_1 !== "undefined") {
		  var transform = '';

		  egt_GaugeText_1.style.display = !(0) ? "block" : "none";

			egt_GaugeText_1.innerHTML = Math.round( SimVar.GetSimVarValue("GENERAL ENG EXHAUST GAS TEMPERATURE:2", "celsius") ).toString() ;

		  if (transform != '')
		    egt_GaugeText_1.style.transform = transform; 

		}

    }
}
registerLivery("gauges_goose_2-element", gauges_goose_2);
